moeoIBEAAvgSorting(3)

NAME
moeoIBEAAvgSorting - Functor The sorting phase of IBEA (Indicator-Based Evolutionary Algorithm) under uncertainty using averaged values for each objective Follow the idea presented in the Deb & Gupta paper 'Searching for Robust Pareto-Optimal Solutions in Multi-Objective Optimization', 2005 Of course, the fitness of an individual needs to be an eoStochasticParetoFitness object.

SYNOPSIS

#include <moeoIBEA.h>

Inherits moeoIBEA< EOT, FitnessEval >.

  Public Member Functions
moeoIBEAAvgSorting (moeoBinaryQualityIndicator< FitnessEval > *_I, const double _kappa)
constructor

  Private Member Functions
void setBounds (const eoPop< EOT > &_pop)
computation and setting of the bounds for each objective
void fitnesses (const eoPop< EOT > &_pop)
computation and setting of the fitness for each individual of the population

  Private Attributes
double kappa
scaling factor kappa

Detailed Description

  template<class EOT, class FitnessEval = typename EOT::Fitness::FitnessEval> class moeoIBEAAvgSorting< EOT, FitnessEval >
Functor The sorting phase of IBEA (Indicator-Based Evolutionary Algorithm) under uncertainty using averaged values for each objective Follow the idea presented in the Deb & Gupta paper 'Searching for Robust Pareto-Optimal Solutions in Multi-Objective Optimization', 2005 Of course, the fitness of an individual needs to be an eoStochasticParetoFitness object.

Definition at line 361 of file moeoIBEA.h.

Constructor & Destructor Documentation

  template<class EOT, class FitnessEval = typename EOT::Fitness::FitnessEval> moeoIBEAAvgSorting< EOT, FitnessEval >::moeoIBEAAvgSorting (moeoBinaryQualityIndicator< FitnessEval > * _I, const double _kappa) [inline]

constructor

Parameters:
    eoBinaryQualityIndicator<EOT>* _I the binary quality indicator to use in the selection process
    double _kappa scaling factor kappa

Definition at line 373 of file moeoIBEA.h.

References moeoIBEAAvgSorting< EOT, FitnessEval >::kappa.

Member Function Documentation

  template<class EOT, class FitnessEval = typename EOT::Fitness::FitnessEval> void moeoIBEAAvgSorting< EOT, FitnessEval >::setBounds (const eoPop< EOT > & _pop) [inline, private, virtual]

computation and setting of the bounds for each objective

Parameters:
    const eoPop<EOT>& _pop the population

Implements moeoIBEA< EOT, FitnessEval >.

Definition at line 398 of file moeoIBEA.h.

References moeoIBEA< EOT, FitnessEval >::I, and moeoBinaryQualityIndicator< EOFitness >::setBounds().

  template<class EOT, class FitnessEval = typename EOT::Fitness::FitnessEval> void moeoIBEAAvgSorting< EOT, FitnessEval >::fitnesses (const eoPop< EOT > & _pop) [inline, private, virtual]

computation and setting of the fitness for each individual of the population

Parameters:
    const eoPop<EOT>& _pop the population

Implements moeoIBEA< EOT, FitnessEval >.

Definition at line 431 of file moeoIBEA.h.

References moeoIBEAAvgSorting< EOT, FitnessEval >::kappa, and eoValueParam< std::vector< WorthT > >::value().

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.